------------------------------------------------------------------------
r1 | maxx | 1999-08-08 14:42:54 +0200 (Sun, 08 Aug 1999) | 2 lines
Changed paths:
   A /trunk
   A /trunk/Makefile
   A /trunk/Makefile.dep
   A /trunk/doc
   A /trunk/doc/bugs
   A /trunk/doc/common.tex
   A /trunk/doc/conventions
   A /trunk/doc/headers
   A /trunk/doc/main.tex
   A /trunk/doc/organization.fig
   A /trunk/doc/portage
   A /trunk/doc/threads.tex
   A /trunk/doc/todo
   A /trunk/doc/vlan-server
   A /trunk/include
   A /trunk/include/all.h
   A /trunk/include/audio_constants.h
   A /trunk/include/audio_decoder.h
   A /trunk/include/audio_dsp.h
   A /trunk/include/audio_output.h
   A /trunk/include/common.h
   A /trunk/include/config.h
   A /trunk/include/control.h
   A /trunk/include/debug.h
   A /trunk/include/decoder_fifo.h
   A /trunk/include/generic_decoder.h
   A /trunk/include/input.h
   A /trunk/include/input_ctrl.h
   A /trunk/include/input_file.h
   A /trunk/include/input_netlist.h
   A /trunk/include/input_network.h
   A /trunk/include/input_pcr.h
   A /trunk/include/input_psi.h
   A /trunk/include/input_vlan.h
   A /trunk/include/interface.h
   A /trunk/include/intf_cmd.h
   A /trunk/include/intf_ctrl.h
   A /trunk/include/intf_msg.h
   A /trunk/include/mtime.h
   A /trunk/include/netutils.h
   A /trunk/include/pgm_data.h
   A /trunk/include/rsc_files.h
   A /trunk/include/thread.h
   A /trunk/include/video.h
   A /trunk/include/video_decoder.h
   A /trunk/include/video_graphics.h
   A /trunk/include/video_output.h
   A /trunk/include/video_x11.h
   A /trunk/include/xconsole.h
   A /trunk/include/xutils.h
   A /trunk/lib
   A /trunk/lib/background.xpm
   A /trunk/lib/s16_0_44100.raw
   A /trunk/lib/s16_1_32000.raw
   A /trunk/src
   A /trunk/src/audio_decoder
   A /trunk/src/audio_decoder/audio_decoder.c
   A /trunk/src/audio_output
   A /trunk/src/audio_output/audio_dsp.c
   A /trunk/src/audio_output/audio_output.c
   A /trunk/src/generic_decoder
   A /trunk/src/generic_decoder/generic_decoder.c
   A /trunk/src/input
   A /trunk/src/input/input.c
   A /trunk/src/input/input_ctrl.c
   A /trunk/src/input/input_file.c
   A /trunk/src/input/input_netlist.c
   A /trunk/src/input/input_network.c
   A /trunk/src/input/input_pcr.c
   A /trunk/src/input/input_psi.c
   A /trunk/src/input/input_vlan.c
   A /trunk/src/interface
   A /trunk/src/interface/control.c
   A /trunk/src/interface/interface.c
   A /trunk/src/interface/intf_cmd.c
   A /trunk/src/interface/intf_ctrl.c
   A /trunk/src/interface/intf_msg.c
   A /trunk/src/interface/main.c
   A /trunk/src/interface/xconsole.c
   A /trunk/src/misc
   A /trunk/src/misc/mtime.c
   A /trunk/src/misc/netutils.c
   A /trunk/src/misc/rsc_files.c
   A /trunk/src/misc/xutils.c
   A /trunk/src/video_decoder
   A /trunk/src/video_decoder/video_decoder.c
   A /trunk/src/video_output
   A /trunk/src/video_output/video_graphics.c
   A /trunk/src/video_output/video_output.c
   A /trunk/src/video_output/video_x11.c

Initial revision

------------------------------------------------------------------------
r3 | massiot | 1999-09-20 22:41:28 +0200 (Mon, 20 Sep 1999) | 11 lines
Changed paths:
   A /trunk/.cvsignore
   M /trunk/include/config.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/interface/interface.c

* Ajout d'un .cvsignore ;
* Au d?\239?\191?\189marrage l'interface lance le script contenu dans vlc.init s'il
  existe (typiquement spawnage d'input) ;
* Le d?\239?\191?\189codeur PSI spawne automatiquement les threads video et audio des
  qu'il a fini ;
  [les deux pr?\239?\191?\189c?\239?\191?\189dents comportements peuvent ?\239?\191?\189tre d?\239?\191?\189sactiv?\239?\191?\189s en
   commentant #define AUTO_SPAWN dans config.h]
* Correction d'un bug de compilation dans input_pcr.c

--Meuuh

------------------------------------------------------------------------
r4 | massiot | 1999-09-20 23:21:38 +0200 (Mon, 20 Sep 1999) | 5 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_decoder.h
   M /trunk/include/config.h
   M /trunk/src/audio_decoder/audio_decoder.c
   A /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/interface/interface.c

* La DCT et la PCM sont dans audio_math.c ;
* Corrections de quelques warnings ici ou la ;

--Meuuh

------------------------------------------------------------------------
r5 | massiot | 1999-09-20 23:22:37 +0200 (Mon, 20 Sep 1999) | 4 lines
Changed paths:
   A /trunk/include/audio_math.h

J'avions oublie celui-la :(

--Meuuh

------------------------------------------------------------------------
r6 | massiot | 1999-09-21 00:07:09 +0200 (Tue, 21 Sep 1999) | 5 lines
Changed paths:
   M /trunk/include/audio_decoder.h
   M /trunk/include/decoder_fifo.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c

* Passage de NeedBits(), DumpBits(), etc. dans decoder_fifo.h ;
* Suppression de warnings ;

--Meuuh

------------------------------------------------------------------------
r7 | massiot | 1999-09-21 20:55:53 +0200 (Tue, 21 Sep 1999) | 7 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video_decoder.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/video_decoder/video_decoder.c

* Le video_decoder a desormais une structure qui tourne (copier-coller de
  l'audio_decoder) ;

L'integration du mpeg2decode arrive !

--Meuuh

------------------------------------------------------------------------
r8 | maxx | 1999-09-22 17:53:28 +0200 (Wed, 22 Sep 1999) | 13 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/src/audio_decoder/audio_decoder.c

* include/audio_output.h :
- Correction d'une erreur dans la taille des frames du Layer II (1152
et non 1192) (ne vous en faites pas, l'erreur n'?\239?\191?\189tait pr?\239?\191?\189sente que dans
un commentaire :-) ;

* audio_decoder/audio_decoder.c :
- Rajout d'un certain nombre de commentaires utiles pour la suite du
d?\239?\191?\189veloppement de l'audio_decoder ;
- Modification de la m?\239?\191?\189thode de calcul du nombre de frames audio libres
dans l'aout_fifo (?\239?\191?\189 tester !) ;

-- MaXX

------------------------------------------------------------------------
r9 | maxx | 1999-09-22 23:39:11 +0200 (Wed, 22 Sep 1999) | 6 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder.c

* audio_decoder/audio_decoder.c :
- Correction d'un bug concernant la d?\239?\191?\189cision de d?\239?\191?\189coder ou non une
nouvelle frame audio ;

-- MaXX

------------------------------------------------------------------------
r10 | maxx | 1999-09-23 10:53:15 +0200 (Thu, 23 Sep 1999) | 10 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder.c

* audio_decoder/audio_decoder.c :
- Tout est pret pour accueillir la synchro :-)
- Les passages modifi?\239?\191?\189s sont encore en commentaire, parce qu'avec ma
synchro simul?\239?\191?\189e le %CPU du d?\239?\191?\189codeur audio passe de 0.1% ?\239?\191?\189 9.7%, alors
que les op?\239?\191?\189rations sont toutes simples et pas appel?\239?\191?\189es tant que ?\239?\191?\189a
(il faudra encore essayer en -Oqqch si ?\239?\191?\189a change qqch) ;
- Reste ?\239?\191?\189 modifier l'audio output pour la synchro... coming soon ;

-- MaXX

------------------------------------------------------------------------
r11 | massiot | 1999-09-23 12:22:59 +0200 (Thu, 23 Sep 1999) | 4 lines
Changed paths:
   M /trunk/src/interface/interface.c

* AUTO_SPAWN n'est plus necessaire pour lancer l'init script.

--Meuuh

------------------------------------------------------------------------
r12 | polux | 1999-09-23 22:56:39 +0200 (Thu, 23 Sep 1999) | 6 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_pcr.c

Impl?\239?\191?\189mentation rudimentaire de la synchro : les packets
PES sont maintenant dat?\239?\191?\189s.

--
Polux

------------------------------------------------------------------------
r13 | maxx | 1999-09-24 12:02:11 +0200 (Fri, 24 Sep 1999) | 13 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/audio_decoder/audio_decoder.c

* audio_decoder/audio_decoder.c :
- Int?\239?\191?\189gration totale et non comment?\239?\191?\189e du support de la synchro ;
- Le probl?\239?\191?\189me du 0.1% de CPU -> 9.7% est r?\239?\191?\189solu en compilant avec un
flag d'optimisation (cf ci-dessous) ;

* Makefile :
- Rajout d'une ligne *comment?\239?\191?\189e* avec le flag d'optimisation -O2 ;
- En -O2 et en faisant tourner le mini-server et un vlc --novideo sur la
meme machine, la somme des %CPU du vlc et du mini-server est ?\239?\191?\189gale ?\239?\191?\189 0 :-)
C'est pas beau ?\239?\191?\189a ?

-- MaXX "vlc rewlz"

------------------------------------------------------------------------
r14 | maxx | 1999-09-28 12:35:41 +0200 (Tue, 28 Sep 1999) | 14 lines
Changed paths:
   M /trunk/include/decoder_fifo.h
   M /trunk/include/input.h
   M /trunk/src/input/input.c

* include/decoder_fifo.h :
- Proprification des commentaires ;

* include/input.h :
- i_pts ?\239?\191?\189tait un u32 mais doit ?\239?\191?\189tre un s64 ;
- Question ouverte au Ptyx : pourquoi mtime_t est un u64 ?
  Est-ce que c'est mauvais de passer mtime_t en s64 ?
  Est-ce que ?\239?\191?\189a fait modifier beaucoup de code ?

* input/input.c :
- Correction d'un cast ;

-- MaXX

------------------------------------------------------------------------
r15 | maxx | 1999-09-29 11:56:04 +0200 (Wed, 29 Sep 1999) | 29 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/include/mtime.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_pcr.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/xutils.c

* include/mtime.h :
- mtime_t devient un s64 (et non plus un u64) pour harmoniser gestion de
l'horloge et synchronisation ;
- LAST_MDATE correspond d?\239?\191?\189sormais ?\239?\191?\189 la plus grande valeur que peut
prendre un s64 ;
- MSTRTIME_MAX_SIZE prend en compte le fait que les dates peuvent d?\239?\191?\189sormais
?\239?\191?\189tre n?\239?\191?\189gatives ;

* misc/mtime.c :
- modifications diverses et vari?\239?\191?\189es prenant en compte le changement de
mtime_t ;

* include/input.h :
- i_pts et les variables s64 de la structure pcr sont d?\239?\191?\189sormais des mtime_t ;

* input/input.c :
- passage des casts en (mtime_t) et non (s64) ;

* input/input_file.c :
- rajout d'un #include "mtime.h" ;

* input/input_pcr.c :
- passage des s64 en mtime_t ;

* misc/xutils.c :
- correction de deux warnings ;

-- MaXX

------------------------------------------------------------------------
r16 | maxx | 1999-10-01 14:38:10 +0200 (Fri, 01 Oct 1999) | 10 lines
Changed paths:
   M /trunk/src/input/input_pcr.c

* input/input_pcr.c :
- Correction d'un bug de la fonction input_PcrReInit : pthread_mutex_lock()
?\239?\191?\189tait appel?\239?\191?\189e avec un argument obtenu en d?\239?\191?\189r?\239?\191?\189f?\239?\191?\189ren?\239?\191?\189ant un pointeur non
initialis?\239?\191?\189 ;
- Le bug ne survenait que lorsque le vlc ?\239?\191?\189tait compil?\239?\191?\189 SANS -Ox, probablement
parce que le code optimis?\239?\191?\189 n'ex?\239?\191?\189cutait pas les instructions dans le meme
ordre ;

-- MaXX

------------------------------------------------------------------------
r17 | maxx | 1999-10-01 17:44:31 +0200 (Fri, 01 Oct 1999) | 17 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/interface/main.c

* Makefile :
- Rajout de l'option -pg maintenant que le %*!&#@ de bug est corrig?\239?\191?\189, et en
attendant qu'on trouve le moyen de releaser proprement le lock des
decoder_fifos :-)

* audio_decoder/audio_decoder.c :
- Correction d'un bug qui entrainait une d?\239?\191?\189rivation du son ;

* include/audio_output.h :
- Passage du nb max de fifos audio de 4 ?\239?\191?\189 2 pour augmenter le niveau sonore ;

* interface/main.c :
- Typo ;

--
MaXX

------------------------------------------------------------------------
r18 | massiot | 1999-10-02 00:05:33 +0200 (Sat, 02 Oct 1999) | 5 lines
Changed paths:
   M /trunk/src/input/input.c

* L'input devrait ?\239?\191?\189tre capable de se fermer correctement apr?\239?\191?\189s une
  erreur (j'ai dit _capable_, hein, j'ai pas dit qu'elle le faisait) ;

--Meuuh

------------------------------------------------------------------------
r19 | massiot | 1999-10-02 00:45:02 +0200 (Sat, 02 Oct 1999) | 4 lines
Changed paths:
   M /trunk/src/input/input.c

* Suppression d'un message d'erreur erronn?\239?\191?\189 ;

--Meuuh

------------------------------------------------------------------------
r20 | massiot | 1999-10-02 12:20:54 +0200 (Sat, 02 Oct 1999) | 6 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/interface/main.c

* input.c : Ajout du bool?\239?\191?\189en b_error et d'une boucle d'erreur pour
  ?\239?\191?\189viter la fermeture sauvage de l'input ;
* main.c : Le vlc se ferme d?\239?\191?\189sormais proprement quand il bouffe un SIGINT.

--Meuuh

------------------------------------------------------------------------
r21 | maxx | 1999-10-02 23:32:21 +0200 (Sat, 02 Oct 1999) | 21 lines
Changed paths:
   M /trunk/include/decoder_fifo.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/video_decoder/video_decoder.c

* include/decoder_fifo.h :
- Rajout du support permettant de d?\239?\191?\189tecter la fin du thread input
correspondant au flux de bits pass?\239?\191?\189 en argument ?\239?\191?\189 la fonction GetByte ;

* input/input.c :
- Changements cosm?\239?\191?\189tiques ;

* input/input_psi.c :
- Correction d'un bug de la fonction DestroyPgrmDescr qui faisait
segfaulter le vlc ?\239?\191?\189 sa terminaison ;

* audio_decoder/audio_decoder.c :
* generic_decoder/generic_decoder.c :
* video_decoder/video_decoder.c :
- Les fonctions xdec_DestroyThread envoient d?\239?\191?\189sormais un signal permettant
aux decoder threads de quitter la fonction GetByte meme s'ils sont en
attente dans la fonction pthread_cond_wait ;

--
MaXX

------------------------------------------------------------------------
r22 | maxx | 1999-10-03 00:31:35 +0200 (Sun, 03 Oct 1999) | 7 lines
Changed paths:
   M /trunk/Makefile

* Makefile :
- Rajout des options de linkage -g et -pg afin de faire fonctionner le
profiling ;

--
MaXX

------------------------------------------------------------------------
r23 | maxx | 1999-10-03 00:37:44 +0200 (Sun, 03 Oct 1999) | 6 lines
Changed paths:
   M /trunk/.cvsignore

* .cvsignore :
- Rajout des fichiers vlc.init et gmon.out ;

--
MaXX

------------------------------------------------------------------------
r24 | maxx | 1999-10-04 04:24:21 +0200 (Mon, 04 Oct 1999) | 25 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c

* input/input.c :
- Correction de deux bugs concernant le calcul de b_has_pts et d'une autre
variable de la structure pes (les masques utilis?\239?\191?\189s n'?\239?\191?\189taient pas les bons...
cons?\239?\191?\189quence imm?\239?\191?\189diate : la synchro ne voyait jamais de paquet dat?\239?\191?\189) ;
- Correction d'un bug de la m?\239?\191?\189thode de calcul de i_pts ;

* audio_decoder/audio_decoder.c :
- Autod?\239?\191?\189tection des dates en utilisant le champ i_pts fourni par la
synchro... le son ?\239?\191?\189 fr?\239?\191?\189quence variable adapt?\239?\191?\189e aux pertes de paquets TS et
autres probl?\239?\191?\189mes est d?\239?\191?\189sormais une r?\239?\191?\189alit?\239?\191?\189 :-)

* audio_output/audio_output.c :
+ Rajout de la synchro :
- On attend si on est en avance ;
- On saute des frames si on est en retard ;
+ Ce n'est pas encore tout ?\239?\191?\189 fait ?\239?\191?\189a, mais ?\239?\191?\189a commence ?\239?\191?\189 prendre forme...
On dirait que le mini-server va trop vite, parce que l'audio est souvent
en retard... Polux ?

* Makefile :
- Modifications cosm?\239?\191?\189tiques ;

--
MaXX

------------------------------------------------------------------------
r25 | maxx | 1999-10-04 12:20:27 +0200 (Mon, 04 Oct 1999) | 6 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c

* audio_output/audio_output.c :
- Suppression de la synchro en attendant de trouver une meilleure m?\239?\191?\189thode ;

--
MaXX

------------------------------------------------------------------------
r26 | maxx | 1999-10-06 01:41:31 +0200 (Wed, 06 Oct 1999) | 10 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c

* audio_output/audio_output.c :
- Suppression totale de la synchro en dates absolues ;
- Rajout de la re-synchro en dates relatives (il est donc d?\239?\191?\189sormais
possible de couper un flux et de le relancer, ou de changer de flux,
tout en gardant le m?\239?\191?\189me input, le m?\239?\191?\189me d?\239?\191?\189codeur audio... pratique pour
le pseudo-changement de cha?\239?\191?\189ne pr?\239?\191?\189vu ?\239?\191?\189 la War :-) ;

--
MaXX

------------------------------------------------------------------------
r27 | massiot | 1999-10-06 02:32:24 +0200 (Wed, 06 Oct 1999) | 5 lines
Changed paths:
   M /trunk/src/input/input_psi.c

* L'autospawn r?\239?\191?\189agit correctement si on utilise les flags --novideo ou
  --noaudio ;

--Meuuh

------------------------------------------------------------------------
r28 | maxx | 1999-10-06 03:29:25 +0200 (Wed, 06 Oct 1999) | 7 lines
Changed paths:
   M /trunk/doc/bugs

* Documentation/bugs :
- Suppression d'un bon nombre de bugs de l'input ;
- Rajout d'un bug concernant ./vlc --novideo ;

--
MaXX

------------------------------------------------------------------------
r29 | massiot | 1999-10-06 19:25:37 +0200 (Wed, 06 Oct 1999) | 4 lines
Changed paths:
   M /trunk/src/interface/intf_msg.c

Un #ifdef DEBUG qui manquait et qui faisait que ca compilait pas sans le DEBUG.

--Meuuh

------------------------------------------------------------------------
r30 | massiot | 1999-10-06 20:47:32 +0200 (Wed, 06 Oct 1999) | 6 lines
Changed paths:
   M /trunk/include/intf_msg.h

* Correction d'un bug ou quand on ne definait pas le DEBUG, il
remplacait les intf_DbgMsg par des ;, ce qui n'est pas cool pour les
if ... else sans accolades (input_psi.c).

--Meuuh

------------------------------------------------------------------------
r31 | massiot | 1999-10-12 20:58:31 +0200 (Tue, 12 Oct 1999) | 8 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/src/input/input_psi.c

Synchronisation vlc-DR2/CVS

* Makefile : nouvelles options d'optimisation, d?\239?\191?\189codeur vid?\239?\191?\189o ;
* config.h : FIFOs et netlist plus longues ;
* input_psi.c : Suppression de messages de debug ;

--Meuuh

------------------------------------------------------------------------
r32 | benny | 1999-10-21 01:30:34 +0200 (Thu, 21 Oct 1999) | 9 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/input/input_netlist.c



Bug fix: le buffer p_pes_header_save du pes n'etait jamais alloue, ce qui
fait que la fonction DemuxPES plantait si jamais le header pes etait plus
gros que le premier packet ts du pes.


Benny

------------------------------------------------------------------------
r33 | benny | 1999-10-27 20:00:05 +0200 (Wed, 27 Oct 1999) | 8 lines
Changed paths:
   M /trunk/src/misc/xutils.c



Le prototypes des fonctions Enable/DisableScreeSaver dans xutils.h ne
correspondait pas a leur declaration dans xutils.c


Benny

------------------------------------------------------------------------
r34 | massiot | 1999-11-06 22:45:08 +0100 (Sat, 06 Nov 1999) | 6 lines
Changed paths:
   M /trunk/Makefile

Modifications de Polusque depuis la DR2, ?\239?\191?\189 savoir :
- virationnement de la saturation ;
- optimisation MMX de la conversion YUV.

--Meuuh

------------------------------------------------------------------------
r35 | benny | 1999-11-10 00:30:25 +0100 (Wed, 10 Nov 1999) | 12 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/input/input_psi.c




Nettoyage de input_psi.

Debugage de DemuxPSI. Le nouveau code doit etre capable de gerer des cas
foireux qui ne sont pas senses arriver (et qui n'ont jamais ete rencontre
dans les flux qu'on a, vu que ca n'a jamais plante la avant). Son
principal interet est de ne plus produire de warning a la compilation :)

Benny

------------------------------------------------------------------------
r36 | polux | 1999-11-21 15:26:20 +0100 (Sun, 21 Nov 1999) | 6 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/include/input_pcr.h
   M /trunk/src/input/input_pcr.c



Mise en place du m?\239?\191?\189canisme de d?\239?\191?\189tection de changement de flux dans la synchro

Polux

------------------------------------------------------------------------
r37 | maxx | 1999-12-05 00:00:42 +0100 (Sun, 05 Dec 1999) | 2 lines
Changed paths:
   M /trunk/.cvsignore

test

------------------------------------------------------------------------
r38 | maxx | 1999-12-05 00:19:40 +0100 (Sun, 05 Dec 1999) | 2 lines
Changed paths:
   M /trunk/.cvsignore

retest

------------------------------------------------------------------------
r39 | maxx | 1999-12-06 17:59:25 +0100 (Mon, 06 Dec 1999) | 6 lines
Changed paths:
   M /trunk/.cvsignore

* .cvsignore :
- Rajout d'une ligne inutile... il faut bien tester la nouvelle
configuration CVS :-)

-- MaXX

------------------------------------------------------------------------
r40 | maxx | 1999-12-06 18:02:42 +0100 (Mon, 06 Dec 1999) | 6 lines
Changed paths:
   M /trunk/.cvsignore

* .cvsignore :
- Suppression d'une ligne inutile... certains font vraiment n'importe
quoi O:->

-- MaXX

------------------------------------------------------------------------
r41 | maxx | 1999-12-07 03:16:22 +0100 (Tue, 07 Dec 1999) | 7 lines
Changed paths:
   M /trunk/doc/todo

* Documentation/todo :
- mise ?\239?\191?\189 jour des donn?\239?\191?\189es concernant l'audio_decoder et l'audio_output ;

* CVS :
- rajout automatique de la signature du commiteur (si vous voyez "maxx"
un peu plus bas, c'est que ?\239?\191?\189a rewlz :-) ;

------------------------------------------------------------------------
r42 | benny | 1999-12-07 04:33:35 +0100 (Tue, 07 Dec 1999) | 5 lines
Changed paths:
   M /trunk/src/input/input_psi.c



Correction d'une erreur dans le parsage de la PMT (mauvais masque de
lecture des PID des ES)

------------------------------------------------------------------------
r43 | benny | 1999-12-08 01:42:29 +0100 (Wed, 08 Dec 1999) | 7 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_psi.c



Le continuity_counter du vlc est maintenant initialise automatiquement a
la valeur du premier paquet TS que l'input recoit pour chaque PID. On
evite de trasher systematiquement (ou presque) le premier TS de chaque
PID.

------------------------------------------------------------------------
r44 | polux | 1999-12-08 16:22:59 +0100 (Wed, 08 Dec 1999) | 9 lines
Changed paths:
   M /trunk/include/all.h
   M /trunk/include/audio_decoder.h
   M /trunk/include/audio_output.h
   M /trunk/include/control.h
   M /trunk/include/decoder_fifo.h
   M /trunk/include/generic_decoder.h
   M /trunk/include/input.h
   M /trunk/include/input_netlist.h
   M /trunk/include/input_vlan.h
   M /trunk/include/interface.h
   M /trunk/include/intf_msg.h
   M /trunk/include/pgm_data.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_output.h
   M /trunk/include/video_x11.h
   A /trunk/include/vlc_thread.h

Encapsulation des pthread qui sont maintenant remplac?\239?\191?\189es par les vlc_thread.
Toutes les r?\239?\191?\189f?\239?\191?\189rences aux pthread que ce soit les thread, les mutex ou
les variables conditionnelles, ont ?\239?\191?\189t?\239?\191?\189 remplac?\239?\191?\189es par leur ?\239?\191?\189quivalent
vlc_thread. Les vlc_thread sont une version tr?\239?\191?\189s simplifi?\239?\191?\189e des pthread et
fonctionnent exactement de la m?\239?\191?\189me fa?\239?\191?\189on. Ceci devrait grandement faciliter
le portage vers d'autres OS.

Polux

------------------------------------------------------------------------
r45 | polux | 1999-12-08 17:01:40 +0100 (Wed, 08 Dec 1999) | 4 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/audio_output/audio_dsp.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/control.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/interface/xconsole.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

Fin du remplacement des pthread + ajout du frame rate dans display.c.

Polux

------------------------------------------------------------------------
r46 | benny | 1999-12-08 22:23:07 +0100 (Wed, 08 Dec 1999) | 5 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_psi.c



Commit bis des modifications concernant l'initialisation du continuity
counter (ecrasees entre temps)

------------------------------------------------------------------------
r47 | benny | 1999-12-09 23:37:46 +0100 (Thu, 09 Dec 1999) | 5 lines
Changed paths:
   M /trunk/src/input/input_psi.c




Correction d'un bug dans la lecture de la version de la PMT

------------------------------------------------------------------------
r48 | polux | 1999-12-12 19:04:37 +0100 (Sun, 12 Dec 1999) | 5 lines
Changed paths:
   M /trunk/Makefile


Gr?\239?\191?\189ce ?\239?\191?\189 Jimmy, plus besoin de compiler les fichiers assembleurs ?\239?\191?\189 part,
le make se d?\239?\191?\189brouille tout seul comme un grand en utilisant gcc pour
compiler les .S

------------------------------------------------------------------------
r49 | maxx | 1999-12-15 00:37:44 +0100 (Wed, 15 Dec 1999) | 12 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/intf_ctrl.c

* .cvsignore :
+ Rajout du fichier core ;

* audio_output/audio_output.c :
+ Rajout de messages de debug :
- nombre de frames audio dans la plage dat?\239?\191?\189e courante ;
- dur?\239?\191?\189e de cette plage audio dat?\239?\191?\189e (en ?\239?\191?\189s) ;
- fr?\239?\191?\189quence du flux sonore pour cette plage dat?\239?\191?\189e ;

* interface/intf_ctrl.c :
- Correction du bug `help vlan' (mouahaha il manquait une virgule :-).

------------------------------------------------------------------------
r50 | maxx | 1999-12-15 19:23:33 +0100 (Wed, 15 Dec 1999) | 3 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder.c

* audio_decoder/audio_decoder.c :
- Test d'une nouvelle m?\239?\191?\189thode de synchro ;

------------------------------------------------------------------------
r51 | maxx | 1999-12-15 20:01:41 +0100 (Wed, 15 Dec 1999) | 8 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c

* audio_decoder/audio_decoder.c :
- l'ancienne m?\239?\191?\189thode de synchro ?\239?\191?\189tait buggu?\239?\191?\189e, la nouvelle rewlz... Sam,
j'esp?\239?\191?\189re que tu me pardonneras un jour ;

* audio_output/audio_output.c :
- suppression des messages de debug, ?\239?\191?\189 la demande de Polux, qui veut
squatter seul la console de debug avec ses messages de fps ;

------------------------------------------------------------------------
r52 | massiot | 1999-12-18 18:13:55 +0100 (Sat, 18 Dec 1999) | 4 lines
Changed paths:
   A /trunk/include/video_parser.h
   A /trunk/src/video_parser
   A /trunk/src/video_parser/video_parser.c

* Patchs MPEG1, qui marchent ou qui ne marche pas ;
* Optimisation de ClearBlock() ;
* D?\239?\191?\189but du video_parser ;

------------------------------------------------------------------------
r53 | sam | 1999-12-19 21:08:53 +0100 (Sun, 19 Dec 1999) | 4 lines
Changed paths:
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c


 . ajout de #ifdef pour ne pas avoir de console X en mode framebuffer
 . mode --novlans par d?\239?\191?\189faut

------------------------------------------------------------------------
r54 | stef | 1999-12-21 01:07:39 +0100 (Tue, 21 Dec 1999) | 2 lines
Changed paths:
   A /trunk/include/parser_fifo.h
   M /trunk/include/video_parser.h
   M /trunk/src/video_parser/video_parser.c

*** empty log message ***

------------------------------------------------------------------------
r55 | massiot | 1999-12-21 19:12:29 +0100 (Tue, 21 Dec 1999) | 4 lines
Changed paths:
   A /trunk/include/undec_picture.h
   A /trunk/include/vdec_motion.h
   A /trunk/include/video_fifo.h
   M /trunk/include/video_parser.h
   A /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   A /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   A /trunk/src/video_parser/vpar_headers.c

D?\239?\191?\189but du d?\239?\191?\189codeur + d?\239?\191?\189but du parseur.

?\239?\191?\189videmment ?\239?\191?\189a compile pas et on n'est pas sortis de l'auberge, m'enfin...

------------------------------------------------------------------------
r56 | massiot | 1999-12-21 19:14:22 +0100 (Tue, 21 Dec 1999) | 2 lines
Changed paths:
   D /trunk/include/parser_fifo.h

Ce fichier la etait en trop

------------------------------------------------------------------------
r57 | massiot | 1999-12-22 03:27:56 +0100 (Wed, 22 Dec 1999) | 4 lines
Changed paths:
   M /trunk/include/undec_picture.h
   M /trunk/include/video_parser.h
   A /trunk/include/vpar_blocks.h
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c

Un bon morceau du parseur.

Stef, je ne t'oublie pas, demain t'auras du boulot, promis :)

------------------------------------------------------------------------
r58 | massiot | 1999-12-22 14:18:13 +0100 (Wed, 22 Dec 1999) | 2 lines
Changed paths:
   M /trunk/include/video_parser.h
   M /trunk/src/video_parser/vpar_headers.c

suite du parseur.

------------------------------------------------------------------------
r59 | massiot | 1999-12-29 00:35:32 +0100 (Wed, 29 Dec 1999) | 2 lines
Changed paths:
   A /trunk/include/video_decoder.h.new
   M /trunk/include/video_fifo.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   A /trunk/include/vpar_headers.h
   A /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   A /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   A /trunk/src/video_parser/vpar_motion.c

Suite du video_parser et du video_decoder.

------------------------------------------------------------------------
r60 | stef | 1999-12-29 03:48:59 +0100 (Wed, 29 Dec 1999) | 3 lines
Changed paths:
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_parser/vpar_headers.c

* Ajout de quelques fonctions pour traiter les structures *_extension
  dans le parser

------------------------------------------------------------------------
r61 | stef | 1999-12-30 14:59:59 +0100 (Thu, 30 Dec 1999) | 3 lines
Changed paths:
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c


* Modifications de quelques erreurs sur le parseur

------------------------------------------------------------------------
